The NetBSD Project

CVS log for pkgsrc/devel/ocaml-ppx_tools_versioned/buildlink3.mk

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / devel / ocaml-ppx_tools_versioned

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.9 / (download) - annotate - [select for diffs], Wed Dec 9 11:28:57 2020 UTC (5 weeks, 6 days ago) by jaapb
Branch: MAIN
CVS Tags: pkgsrc-2020Q4-base, pkgsrc-2020Q4, HEAD
Changes since 1.8: +2 -2 lines
Diff to previous 1.8 (colored)

Updated devel/ocaml-ppx_tools_versioned to 5.4.0.

The upstream project name changes; otherwise the only change is added
support for OCaml 4.11.

Revision 1.8 / (download) - annotate - [select for diffs], Fri Apr 3 09:14:57 2020 UTC (9 months, 2 weeks ago) by jaapb
Branch: MAIN
CVS Tags: pkgsrc-2020Q3-base, pkgsrc-2020Q3, pkgsrc-2020Q2-base, pkgsrc-2020Q2
Changes since 1.7: +2 -2 lines
Diff to previous 1.7 (colored)

Updated devel/ocaml-ppx_tools_versioned to version 5.3.0.

This adds support for OCaml 4.10.

Revision 1.7 / (download) - annotate - [select for diffs], Wed Jul 31 09:15:50 2019 UTC (17 months, 3 weeks ago) by jaapb
Branch: MAIN
CVS Tags: pkgsrc-2020Q1-base, pkgsrc-2020Q1, pkgsrc-2019Q4-base, pkgsrc-2019Q4, pkgsrc-2019Q3-base, pkgsrc-2019Q3
Changes since 1.6: +2 -2 lines
Diff to previous 1.6 (colored)

Updated devel/ocaml-ppx_tools_versioned to version 5.2.3.

This adds support for OCaml 4.08 and 4.09.

Revision 1.6 / (download) - annotate - [select for diffs], Tue May 21 11:26:32 2019 UTC (20 months ago) by jaapb
Branch: MAIN
CVS Tags: pkgsrc-2019Q2-base, pkgsrc-2019Q2
Changes since 1.5: +2 -2 lines
Diff to previous 1.5 (colored)

Updated devel/ocaml-ppx_tools_versioned to 5.2.2.

Main change is support for OCaml 4.08.

Revision 1.5 / (download) - annotate - [select for diffs], Tue Mar 5 16:35:29 2019 UTC (22 months, 2 weeks ago) by jaapb
Branch: MAIN
CVS Tags: pkgsrc-2019Q1-base, pkgsrc-2019Q1
Changes since 1.4: +2 -2 lines
Diff to previous 1.4 (colored)

Updated devel/ocaml-ppx_tools_versioned for dune compatibility.

Package is now compatible with dune 1.7; revbump.

Revision 1.4 / (download) - annotate - [select for diffs], Tue Nov 27 17:09:01 2018 UTC (2 years, 1 month ago) by jaapb
Branch: MAIN
CVS Tags: pkgsrc-2018Q4-base, pkgsrc-2018Q4
Changes since 1.3: +2 -2 lines
Diff to previous 1.3 (colored)

Updated devel/ocaml-ppx_tools_versioned to version 5.2.1

Just a minor change here in versions of dependencies. The package also
uses dune now.

Revision 1.3 / (download) - annotate - [select for diffs], Thu Jul 19 13:01:34 2018 UTC (2 years, 6 months ago) by jaapb
Branch: MAIN
CVS Tags: pkgsrc-2018Q3-base, pkgsrc-2018Q3
Changes since 1.2: +2 -1 lines
Diff to previous 1.2 (colored)

Updated devel/ocaml-ppx_tools_versioned to version 5.2.

There does not seem to be a changelog available, but this version adds
support for OCaml 4.07 and now uses the jbuilder build system.

Revision 1.2 / (download) - annotate - [select for diffs], Sun Jan 7 13:04:08 2018 UTC (3 years ago) by rillig
Branch: MAIN
CVS Tags: pkgsrc-2018Q2-base, pkgsrc-2018Q2, pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.1: +2 -2 lines
Diff to previous 1.1 (colored)

Fix indentation in buildlink3.mk files.

The actual fix as been done by "pkglint -F */*/buildlink3.mk", and was
reviewed manually.

There are some .include lines that still are indented with zero spaces
although the surrounding .if is indented. This is existing practice.

Revision 1.1 / (download) - annotate - [select for diffs], Sun Jul 23 14:42:08 2017 UTC (3 years, 5 months ago) by jaapb
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3

Added package devel/ocaml-ppx_tools_versioned, a version of ppx_tools that
works with different versions of OCaml. Needed as a dependency.

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>